## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XTokenStringAdapterAllocator Class Reference

`#include <XTokenStringAdapterAllocator.hpp>`

Collaboration diagram for XTokenStringAdapterAllocator:

[legend]
List of all members.

## Public Types

- typedef XTokenStringAdapter object_type
- typedef ReusableArenaAllocator<
  object_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XTokenStringAdapterAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XTokenStringAdapterAllocator ()
- object_type* create (const XToken &theXToken)
    Create an XTokenStringAdapter object from an XToken. More...
- object_type* clone (const object_type &value)
    Clone an XTokenStringAdapter object. More...
- bool destroy (object_type *theString)
    Delete an XStringAdapter object from allocator. More...
- bool ownsObject (const object_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XStringAdapter objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< object_type > XTokenStringAdapterAllocator::ArenaAllocatorType<object_type>

typedef XTokenStringAdapter XTokenStringAdapterAllocator::object_type

typedef ArenaAllocatorType::size_type XTokenStringAdapterAllocator::size_type

## Constructor & Destructor Documentation

XTokenStringAdapterAllocator::XTokenStringAdapterAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XTokenStringAdapterAllocator::~XTokenStringAdapterAllocator ( | )

## Member Function Documentation

object_type * XTokenStringAdapterAllocator::clone ( | const object_type & value )

  | Clone an XTokenStringAdapter object. Parameters:
  value | source XTokenStringAdapter
Returns: pointer to an XTokenStringAdapter

object_type * XTokenStringAdapterAllocator::create ( | const XToken & theXToken )

  | Create an XTokenStringAdapter object from an XToken. Parameters:
  theXToken | The source XToken
Returns: a pointer to string

bool XTokenStringAdapterAllocator::destroy ( | object_type * theString )

| Delete an XStringAdapter object from allocator.

size_type XTokenStringAdapterAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XTokenStringAdapterAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XTokenStringAdapterAllocator::ownsObject ( | const object_type * theObject )

| Determine if an object is owned by the allocator...

void XTokenStringAdapterAllocator::reset ( | )

| Delete all XStringAdapter objects from allocator.

The documentation for this class was generated from the following file:

- XTokenStringAdapterAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.